# classes/phing/system/io/BufferedWriter.php

Convenience class for writing files.

author
  Hans Lellelid
package
  phing.system.io
version
  $Revision: 552 $

## \BufferedWriter
jump to top

Convenience class for writing files.

Extends from
  \Writer
author
  Hans Lellelid
package
  phing.system.io
version
  $Revision: 552 $

### Properties

`$bufferSize= '0'`

The size of the buffer in kb.

Default value `0` Details

Type

`\Writer $out= ''`

The Writer we are buffering output to.
Details

Type
  \Writer

### Methods

`__construct( $writer, $buffsize = 8192 ) :`
Parameters

Name | Type | Description
--- | --- | ---
$writer |  |
$buffsize |  |

`close( ) :`
Close attached stream.
`flush( ) :`
`getResource( ) :`
`newLine( ) :`
`write( $buf, $off = null, $len = null ) :`
Parameters

Name | Type | Description
--- | --- | ---
$buf |  |
$off |  |
$len |  |

Documentation was generated by DocBlox 0.13.1.